from setuptools import setup, find_packages

# Read the contents of README.md
with open("README.md", "r", encoding="utf-8") as f:
    long_description = f.read()

setup(
    name="spl-qr",
    version="1.0.2",  # Increment version number for the new update
    description="Generate UPI payment QR codes easily",
    long_description=long_description,  # Use README.md as long description
    long_description_content_type="text/markdown",
    author="Delta",
    url="https://github.com/Geektyper",
    packages=find_packages(),
    install_requires=[
        "qrcode[pil]"
    ],
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)
